# ApplicationFramework
TKStdLSchema
StdLSchema

# StdLSchema_PTopoDS_Shape1 Class Reference

`#include <StdLSchema_PTopoDS_Shape1.hxx>`

## Static Public Member Functions

static Standard_EXPORT void | SAdd (const PTopoDS_Shape1 &, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SWrite (const PTopoDS_Shape1 &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)
static Standard_EXPORT void | SRead (PTopoDS_Shape1 &, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema)

## Member Function Documentation

static Standard_EXPORT void StdLSchema_PTopoDS_Shape1::SAdd | ( | const PTopoDS_Shape1 & | ,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PTopoDS_Shape1::SRead | ( | PTopoDS_Shape1 & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

static Standard_EXPORT void StdLSchema_PTopoDS_Shape1::SWrite | ( | const PTopoDS_Shape1 & | ,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | `[static]`

The documentation for this class was generated from the following file:

- StdLSchema_PTopoDS_Shape1.hxx